### Class

# Msg Service

#### Description

    class Msg.Service : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- MsgDriveService
- MsgMailService
- MsgUserService

#### Functions

###### msg_service_accept_certificate_cb

No description available.

###### msg_service_get_https_port

No description available.

###### msg_service_get_next_link

Get next link.

###### msg_service_handle_rate_limiting

No description available.

###### msg_service_parse_response

Parse response data and check for errors. In case no errors are found, return json root object.

#### Instance methods

###### msg_service_build_message

Construct and checks a `SoupMessage` for transfer.

###### msg_service_get_authorizer

Get related authorizer.

###### msg_service_get_session

Get related soup session.

###### msg_service_refresh_authorization

No description available.

###### msg_service_send

Adds authorizer information to `message` and send it.

###### msg_service_send_and_parse_response

A combination of `msg_service_send_and_read` and `msg_service_parse_response`.

###### msg_service_send_and_read

Adds authorizer information to `message` and send it.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Msg.Service:authorizer

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MsgServiceClass {
      GObjectClass parent;

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.